NixxisFileVersion=Version("3.3.1255.153")
NixxisProductVersion=InformationalVersion("3.3.1255.0")

BackupCarrier=
NixxisAppServerUri=
NixxisAppServerPeer=
NixxisTrafficDirector=
NixxisTrafficDirectorKey=NixxisDefaultKey
NixxisRecordingPath=/home/recording
NixxisSoundPath=/home/soundsv2


#include "nixxis/*.conf"
#include "nixxis/custom/*.conf"

[nixxis]
include         => nixxis-amd
include         => nixxis-beep
include         => nixxis-monitoring
include         => nixxis-ringing
include         => nixxis-waitforanswer
include         => nixxis-hold-v2

; Set of extensions that are called with GoTo
exten           => voicemail-v2,1,Goto(nixxis-voicemail-v2,s,1)
exten           => callback-v2,1,Goto(nixxis-callback-v2,s,1)
exten           => callback-v2-nolan,1,Goto(nixxis-callback-v2-nolan,s,1)
exten           => conf,1,Goto(nixxis-conference,conf,1)
exten           => ivr-v2,1,Goto(nixxis-ivr-v2,s,1)
exten           => ivr-v2-nochoice,1,Goto(nixxis-ivr-v2-nochoice,s,1)
exten           => belmeniet,1,Goto(nixxis-belmeniet,s,1)
exten           => opt-out,1,Goto(nixxis-opt-out,s,1)
exten           => customer-identification,1,Goto(nixxis-customer-identification,s,1)
exten           => queue-v2,1,Goto(nixxis-queue-v2,queue,1)
exten           => queue-v3,1,Goto(nixxis-queue-v3,queue,1)
exten           => announce,1,Goto(nixxis-announce,s,1)
exten           => consult,1,Goto(nixxis-consult,s,1)

; Set appserver IP and port to activate standalone monitor IVR.
; DTMF mode to appserver needs to be set to SIP INFO
;
exten           => monauth,1,NoOp(Monitor IVR standalone)
exten           => monauth,n,Goto(nixxis-monitor-auth,s,1)


; Remove comment below to activate a sample voicemail extension. 
; Don't forget to setup the voicemail.conf entry
;exten                   => vm_sample,1,Set(VM_PROMPT=/home/sounds/voicemail/samplemsg)
;exten                   => vm_sample,n,Set(VM_BOX=sample)
;exten                   => vm_sample,n,Goto(nixxis-voicemail,voicemail,1)

#include "nixxis/custom.conf"

; Make sure the line below is the last line e.g. anything not matching above get's send to external network(s)
include         => nixxis-outbound

